<?php

namespace Bixo\Employee\Actions;

use Illuminate\Http\Request;
use Bixo\Employee\Models\Document;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class DocumentReport
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $report)
    {
        $this->model = app(Document::class);
        $function = Str::camel($report);
        return $this->$function();
    }
    
    public function sample(Request $request)
    {
        return $request;
    }

}
