<?php

namespace Bixo\Employee;

use Bixo\Employee\Actions\EmployeeActions;
use Bixo\Employee\Actions\DocumentActions;
use Bixo\Employee\Actions\AttendanceActions;
use Bixo\Employee\Actions\LeaveActions;


class Employee
{
    /**
     * Return select options employee for the module.
     *
     * @param string $module
     * @param array $request
     *
     * @return array
     */
    public function options($module = 'employee', $request = []) :array
    {
        if ($module == 'employee') {
            return EmployeeActions::run('options', $request);
        }

    }
}
