<?php

namespace Bixo\Employee\Http\Requests;

use Litepie\Http\Request\AbstractRequest;
use Bixo\Employee\Models\Employee;

class EmployeeActionsRequest extends AbstractRequest
{

    /* Model for the current request.
     *
     * @var array
     */
    protected $action;

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        $this->model = app(Employee::class);

        $this->action = $this->getAction();
        // Determine if the user is authorized to perform the action.
        return $this->can($this->action);

    }



}
