<?php

namespace Bixo\Employee\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Employee\Models\Leave;

class LeaveWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Leave $leave,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
